RemoteControlLauncher (Selenium RC Server (Coreless) 1.0.1 API)
Date: 2009-06-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openqa.selenium.server.cli
Class RemoteControlLauncher

    java.lang.Object
      org.openqa.selenium.server.cli.RemoteControlLauncher

    public class RemoteControlLauncher

extends java.lang.Object

Parse Remote Control Launcher Options

Constructor Summary
`RemoteControlLauncher()`

Method Summary
`static java.lang.String` | `getArg(java.lang.String[] args, int i)`
`static RemoteControlConfiguration` | `parseLauncherOptions(java.lang.String[] args)`
`static void` | `printWrappedErrorLine(java.lang.String prefix, java.lang.String msg)`
`static void` | `printWrappedErrorLine(java.lang.String prefix, java.lang.String msg, boolean first)`
`static void` | `setSystemProperty(java.lang.String arg)`
`static void` | `usage(java.lang.String msg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoteControlLauncher

    public RemoteControlLauncher()

Method Detail

### usage

    public static void usage(java.lang.String msg)

### parseLauncherOptions

    public static RemoteControlConfiguration parseLauncherOptions(java.lang.String[] args)

### getArg

    public static java.lang.String getArg(java.lang.String[] args,
                                          int i)

### printWrappedErrorLine

    public static void printWrappedErrorLine(java.lang.String prefix,
                                             java.lang.String msg)

### printWrappedErrorLine

    public static void printWrappedErrorLine(java.lang.String prefix,
                                             java.lang.String msg,
                                             boolean first)

### setSystemProperty

    public static void setSystemProperty(java.lang.String arg)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.